tt_message_address(library call)

NAME
tt_message_address — retrieve the address attribute from a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_address tt_message_address(
Tt_message m);

DESCRIPTION

The tt_message_address function retrieves the address attribute from the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_address function returns a value that specifies which message attributes form the address of this message. The tt_message_address function returns one of the following Tt_address values:

TT_HANDLER
    The message is addressed to a specific handler that can perform this operation with these arguments.

TT_OBJECT
    The message is addressed to a specific object that can perform this operation with these arguments.

TT_OTYPE
    The message is addressed to the type of object that can perform this operation with these arguments.

TT_PROCEDURE
    The message is addressed to any process that can perform this operation with these arguments.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).